class ExactImage < Formula
  desc "Image processing library"
  homepage "https://exactcode.com/opensource/exactimage/"
  url "https://dl.exactcode.de/oss/exact-image/exact-image-1.2.1.tar.bz2"
  sha256 "7843cf35db40f3a2caed3d0b11256e226ef16169244ca2dc1c89af86ac8a148a"
  license "GPL-2.0-only"

  livecheck do
    url "https://dl.exactcode.de/oss/exact-image/"
    regex(/href=.*?exact-image[._-]v?(\d+(?:\.\d+)+)\.t/i)
  end

  depends_on "pkgconf" => :build
  depends_on "libagg"

  uses_from_macos "expat"
  uses_from_macos "zlib"

  def install
    ENV.cxx11
    # Workaround to fix build on Linux
    inreplace "Makefile", /^CFLAGS := /, "\\0-fpermissive " if OS.linux?

    system "./configure", "--prefix=#{prefix}"
    system "make", "install"
  end

  test do
    system bin/"bardecode"
  end
end
